Administrators may use the Administrator Connectors API to retrieve information about the On-Premises Connectors that are registered with the Hybrid Data Pipeline server. The Administrator Connectors API also allows administrators to filter API responses by appending query parameters to requests. Filtering responses enables administrators to retrieve information about connectors that share specific details or attributes. A user must have the Administrator (12) permission to use the Administrator Connectors API.

Note: The Administrator Connectors API is distinct from the Connector API. The Connector API is used to manage access to on-premises backend data. See Connector API for details.

You can perform the following operations with the Administrator Connectors API.

Retrieve a complete list of On-Premises Connectors

As shown in this example, you may retrieve a list of registered connectors with a GET request using the Administrator Connectors API.
Note: To retrieve full details on the connectors, you may append the request with the query parameter ?details=true.
GET https://MyServer:8443/api/admin/connectors
Response
{
  "connectors": [
    {
      "connectorID": "55b55556-22d1-4f6a-888f-444a2df565e0",
      "label": "MyConnector",
      "version": "4.6.1.758",
      "owner": "admin123",
      "tenantName": "OrgB",
    },
    {
      "connectorID": "66b77776-33d1-5f9a-444f-222a3df898f0",
      "label": "MySampleConnector",
      "version": "4.6.1.815",
      "owner": "admin456",
      "tenantName": "OrgC",
    },
    {
      "connectorID": "21b1d1a6-89a8-45b9-b276-e14d1cbdef49",
      "label": "hdp_connector",
      "version": "4.6.1.758",
      "owner": "xyzadmin",
      "tenantName": "OrgD"
    },
    ...
  ]
}

Retrieve a filtered list of On-Premises Connectors

In the following example, the GET request is appended with the query parameter ?version=4.6.1.758. Thus, the response returns a list of connectors with the version 4.6.1.758.

Note: Any property in the connector JSON object may be used as a query parameter. For example: ?owner=admin123 or ?tenantName=OrgB.
GET https://MyServer:8443/api/admin/connectors?version=4.6.1.758
Response
{
  "connectors": [
    {
      "connectorID": "55b55556-22d1-4f6a-888f-444a2df565e0",
      "label": "MyConnector",
      "version": "4.6.1.758",
      "owner": "admin123",
      "tenantName": "OrgB",
    },    
    {
      "connectorID": "21b1d1a6-89a8-45b9-b276-e14d1cbdef49",
      "label": "hdp_connector",
      "version": "4.6.1.758",
      "owner": "xyzadmin",
      "tenantName": "OrgD"
    }
  ]
}

Retrieve the details of a specific On-Premises Connector

You may also retrieve the details of a specific connector using the Administrator Connectors API. The following example shows how to retrieve full details for the connector with the ID 55b55556-22d1-888f-444a2df565e0:

GET https://MyServer:8443/api/admin/connectors/55b55556-22d1-888f-444a2df565e0
Response
{
  "connectors": [
    {
      "connectorID": "55b55556-22d1-888f-444a2df565e0",
      "label": "MyConnector",
      "version": "4.6.1.758",
      "owner": "admin123",
      "tenantName": "OrgB",
      "isGroup": "true",
      "createdTime": "2024-02-20T07:41:09.696Z",
      "lastModified": "2024-02-21T11:26:19.722Z",
      "lastAccessed": "2024-02-22T04:44:24.099Z",
      "ipAddress": "10.20.345.678",
      "javaVersion": "java-version",
      "javaVendor": "java-vendor",
      "osName": "Microsoft Windows 11 Pro",
      "osVersion": "10.0.22000 N/A Build 22000"
    }
  ]
}